/*
 File: bad_char_setsym.cpp
 Date and Time: Fri Jan 30 18:55:05 2015 
*/
#include "bad_char_set.h"
using namespace NS_yacco2_T_enum;// enumerate
using namespace NS_yacco2_err_symbols;// error symbols
using namespace NS_yacco2_k_symbols;// lrk 
using namespace NS_yacco2_terminals;// terminals
using namespace NS_yacco2_characters;// rc 
using namespace yacco2;// yacco2 library
using namespace NS_bad_char_set;// grammar's ns
// first set terminals
yacco2::THR _YACCO2_CALL_TYPE
NS_bad_char_set::TH_bad_char_set(yacco2::Parser* Caller_pp){
  yacco2::Thread_entry& pp_thread_entry = ITH_bad_char_set;
  NS_bad_char_set::Cbad_char_set Cbad_char_set_;// parallel-parser's parse table
#define ssPARSE_TABLE Cbad_char_set_
#include "wpp_core.h"
}
THR_result _YACCO2_CALL_TYPE
NS_bad_char_set::PROC_TH_bad_char_set(yacco2::Parser* Caller_pp){
  char called_proc_name[] = "PROC_TH_bad_char_set";
  static bool one_time(false);
  static NS_bad_char_set::Cbad_char_set* NS_bad_char_set_Cbad_char_set_(0);// parallel-parser's fsm table
  static Parser* NS_bad_char_set_Cbad_char_set_parser(0);
  Parser* proc_parser(0);
  if(one_time == false){
    one_time = true;
    NS_bad_char_set_Cbad_char_set_ = new NS_bad_char_set::Cbad_char_set();// parallel-parser's fsm table
    NS_bad_char_set_Cbad_char_set_parser = new Parser(*NS_bad_char_set_Cbad_char_set_,Caller_pp);
  }
 proc_parser = NS_bad_char_set_Cbad_char_set_parser;
#include "wproc_pp_core.h"
}
void 
Cbad_char_set::reduce_rhs_of_rule
    (yacco2::UINT Sub_rule_no,yacco2::Rule_s_reuse_entry** Recycled_rule){
   int reducing_rule = rhs_to_rules_mapping_[Sub_rule_no];
   Per_rule_s_reuse_table* rule_reuse_tbl_ptr = 
        fsm_rules_reuse_table.per_rule_s_table_[reducing_rule];
   Rule_s_reuse_entry* re(0);
   find_a_recycled_rule(rule_reuse_tbl_ptr,&re);
   (*Recycled_rule) = re;
   fnd_re: switch (Sub_rule_no){
    case rhs1_Rbad_char_set_:{
       Rbad_char_set* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_set(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_set*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs2_Rbad_char_set_:{
       Rbad_char_set* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_set(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_set*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs3_Rbad_char_set_:{
       Rbad_char_set* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_set(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_set*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs4_Rbad_char_set_:{
       Rbad_char_set* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_set(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_set*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs5_Rbad_char_set_:{
       Rbad_char_set* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_set(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_set*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs6_Rbad_char_set_:{
       Rbad_char_set* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_set(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_set*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs7_Rbad_char_set_:{
       Rbad_char_set* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_set(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_set*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs8_Rbad_char_set_:{
       Rbad_char_set* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_set(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_set*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs9_Rbad_char_set_:{
       Rbad_char_set* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_set(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_set*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs10_Rbad_char_set_:{
       Rbad_char_set* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_set(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_set*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->op();
     return;}
    case rhs1_Rbad_char_00_0f_:{
       Rbad_char_00_0f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_00_0f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_00_0f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs2_Rbad_char_00_0f_:{
       Rbad_char_00_0f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_00_0f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_00_0f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs3_Rbad_char_00_0f_:{
       Rbad_char_00_0f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_00_0f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_00_0f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs4_Rbad_char_00_0f_:{
       Rbad_char_00_0f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_00_0f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_00_0f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs5_Rbad_char_00_0f_:{
       Rbad_char_00_0f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_00_0f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_00_0f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs6_Rbad_char_00_0f_:{
       Rbad_char_00_0f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_00_0f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_00_0f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs7_Rbad_char_00_0f_:{
       Rbad_char_00_0f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_00_0f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_00_0f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs8_Rbad_char_00_0f_:{
       Rbad_char_00_0f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_00_0f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_00_0f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs9_Rbad_char_00_0f_:{
       Rbad_char_00_0f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_00_0f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_00_0f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs10_Rbad_char_00_0f_:{
       Rbad_char_00_0f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_00_0f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_00_0f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs11_Rbad_char_00_0f_:{
       Rbad_char_00_0f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_00_0f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_00_0f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs1_Rbad_char_10_7f_:{
       Rbad_char_10_7f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_10_7f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_10_7f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs2_Rbad_char_10_7f_:{
       Rbad_char_10_7f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_10_7f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_10_7f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs3_Rbad_char_10_7f_:{
       Rbad_char_10_7f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_10_7f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_10_7f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs4_Rbad_char_10_7f_:{
       Rbad_char_10_7f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_10_7f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_10_7f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs5_Rbad_char_10_7f_:{
       Rbad_char_10_7f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_10_7f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_10_7f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs6_Rbad_char_10_7f_:{
       Rbad_char_10_7f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_10_7f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_10_7f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs7_Rbad_char_10_7f_:{
       Rbad_char_10_7f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_10_7f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_10_7f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs8_Rbad_char_10_7f_:{
       Rbad_char_10_7f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_10_7f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_10_7f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs9_Rbad_char_10_7f_:{
       Rbad_char_10_7f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_10_7f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_10_7f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs10_Rbad_char_10_7f_:{
       Rbad_char_10_7f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_10_7f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_10_7f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs11_Rbad_char_10_7f_:{
       Rbad_char_10_7f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_10_7f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_10_7f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs12_Rbad_char_10_7f_:{
       Rbad_char_10_7f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_10_7f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_10_7f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs13_Rbad_char_10_7f_:{
       Rbad_char_10_7f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_10_7f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_10_7f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs14_Rbad_char_10_7f_:{
       Rbad_char_10_7f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_10_7f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_10_7f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs15_Rbad_char_10_7f_:{
       Rbad_char_10_7f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_10_7f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_10_7f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs16_Rbad_char_10_7f_:{
       Rbad_char_10_7f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_10_7f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_10_7f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs17_Rbad_char_10_7f_:{
       Rbad_char_10_7f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_10_7f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_10_7f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs1_Rbad_char_80_8f_:{
       Rbad_char_80_8f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_80_8f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_80_8f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs2_Rbad_char_80_8f_:{
       Rbad_char_80_8f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_80_8f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_80_8f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs3_Rbad_char_80_8f_:{
       Rbad_char_80_8f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_80_8f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_80_8f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs4_Rbad_char_80_8f_:{
       Rbad_char_80_8f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_80_8f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_80_8f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs5_Rbad_char_80_8f_:{
       Rbad_char_80_8f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_80_8f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_80_8f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs6_Rbad_char_80_8f_:{
       Rbad_char_80_8f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_80_8f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_80_8f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs7_Rbad_char_80_8f_:{
       Rbad_char_80_8f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_80_8f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_80_8f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs8_Rbad_char_80_8f_:{
       Rbad_char_80_8f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_80_8f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_80_8f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs9_Rbad_char_80_8f_:{
       Rbad_char_80_8f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_80_8f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_80_8f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs10_Rbad_char_80_8f_:{
       Rbad_char_80_8f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_80_8f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_80_8f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs11_Rbad_char_80_8f_:{
       Rbad_char_80_8f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_80_8f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_80_8f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs12_Rbad_char_80_8f_:{
       Rbad_char_80_8f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_80_8f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_80_8f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs13_Rbad_char_80_8f_:{
       Rbad_char_80_8f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_80_8f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_80_8f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs14_Rbad_char_80_8f_:{
       Rbad_char_80_8f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_80_8f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_80_8f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs15_Rbad_char_80_8f_:{
       Rbad_char_80_8f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_80_8f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_80_8f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs16_Rbad_char_80_8f_:{
       Rbad_char_80_8f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_80_8f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_80_8f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs1_Rbad_char_90_9f_:{
       Rbad_char_90_9f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_90_9f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_90_9f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs2_Rbad_char_90_9f_:{
       Rbad_char_90_9f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_90_9f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_90_9f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs3_Rbad_char_90_9f_:{
       Rbad_char_90_9f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_90_9f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_90_9f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs4_Rbad_char_90_9f_:{
       Rbad_char_90_9f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_90_9f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_90_9f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs5_Rbad_char_90_9f_:{
       Rbad_char_90_9f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_90_9f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_90_9f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs6_Rbad_char_90_9f_:{
       Rbad_char_90_9f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_90_9f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_90_9f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs7_Rbad_char_90_9f_:{
       Rbad_char_90_9f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_90_9f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_90_9f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs8_Rbad_char_90_9f_:{
       Rbad_char_90_9f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_90_9f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_90_9f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs9_Rbad_char_90_9f_:{
       Rbad_char_90_9f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_90_9f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_90_9f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs10_Rbad_char_90_9f_:{
       Rbad_char_90_9f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_90_9f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_90_9f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs11_Rbad_char_90_9f_:{
       Rbad_char_90_9f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_90_9f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_90_9f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs12_Rbad_char_90_9f_:{
       Rbad_char_90_9f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_90_9f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_90_9f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs13_Rbad_char_90_9f_:{
       Rbad_char_90_9f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_90_9f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_90_9f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs14_Rbad_char_90_9f_:{
       Rbad_char_90_9f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_90_9f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_90_9f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs15_Rbad_char_90_9f_:{
       Rbad_char_90_9f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_90_9f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_90_9f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs16_Rbad_char_90_9f_:{
       Rbad_char_90_9f* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_90_9f(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_90_9f*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs1_Rbad_char_a0_af_:{
       Rbad_char_a0_af* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_a0_af(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_a0_af*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs2_Rbad_char_a0_af_:{
       Rbad_char_a0_af* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_a0_af(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_a0_af*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs3_Rbad_char_a0_af_:{
       Rbad_char_a0_af* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_a0_af(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_a0_af*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs4_Rbad_char_a0_af_:{
       Rbad_char_a0_af* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_a0_af(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_a0_af*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs5_Rbad_char_a0_af_:{
       Rbad_char_a0_af* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_a0_af(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_a0_af*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs6_Rbad_char_a0_af_:{
       Rbad_char_a0_af* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_a0_af(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_a0_af*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs7_Rbad_char_a0_af_:{
       Rbad_char_a0_af* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_a0_af(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_a0_af*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs8_Rbad_char_a0_af_:{
       Rbad_char_a0_af* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_a0_af(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_a0_af*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs9_Rbad_char_a0_af_:{
       Rbad_char_a0_af* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_a0_af(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_a0_af*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs10_Rbad_char_a0_af_:{
       Rbad_char_a0_af* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_a0_af(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_a0_af*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs11_Rbad_char_a0_af_:{
       Rbad_char_a0_af* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_a0_af(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_a0_af*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs12_Rbad_char_a0_af_:{
       Rbad_char_a0_af* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_a0_af(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_a0_af*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs13_Rbad_char_a0_af_:{
       Rbad_char_a0_af* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_a0_af(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_a0_af*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs14_Rbad_char_a0_af_:{
       Rbad_char_a0_af* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_a0_af(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_a0_af*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs15_Rbad_char_a0_af_:{
       Rbad_char_a0_af* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_a0_af(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_a0_af*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs16_Rbad_char_a0_af_:{
       Rbad_char_a0_af* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_a0_af(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_a0_af*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs1_Rbad_char_b0_bf_:{
       Rbad_char_b0_bf* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_b0_bf(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_b0_bf*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs2_Rbad_char_b0_bf_:{
       Rbad_char_b0_bf* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_b0_bf(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_b0_bf*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs3_Rbad_char_b0_bf_:{
       Rbad_char_b0_bf* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_b0_bf(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_b0_bf*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs4_Rbad_char_b0_bf_:{
       Rbad_char_b0_bf* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_b0_bf(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_b0_bf*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs5_Rbad_char_b0_bf_:{
       Rbad_char_b0_bf* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_b0_bf(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_b0_bf*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs6_Rbad_char_b0_bf_:{
       Rbad_char_b0_bf* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_b0_bf(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_b0_bf*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs7_Rbad_char_b0_bf_:{
       Rbad_char_b0_bf* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_b0_bf(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_b0_bf*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs8_Rbad_char_b0_bf_:{
       Rbad_char_b0_bf* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_b0_bf(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_b0_bf*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs9_Rbad_char_b0_bf_:{
       Rbad_char_b0_bf* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_b0_bf(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_b0_bf*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs10_Rbad_char_b0_bf_:{
       Rbad_char_b0_bf* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_b0_bf(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_b0_bf*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs11_Rbad_char_b0_bf_:{
       Rbad_char_b0_bf* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_b0_bf(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_b0_bf*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs12_Rbad_char_b0_bf_:{
       Rbad_char_b0_bf* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_b0_bf(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_b0_bf*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs13_Rbad_char_b0_bf_:{
       Rbad_char_b0_bf* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_b0_bf(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_b0_bf*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs14_Rbad_char_b0_bf_:{
       Rbad_char_b0_bf* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_b0_bf(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_b0_bf*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs15_Rbad_char_b0_bf_:{
       Rbad_char_b0_bf* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_b0_bf(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_b0_bf*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs16_Rbad_char_b0_bf_:{
       Rbad_char_b0_bf* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_b0_bf(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_b0_bf*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs1_Rbad_char_c0_cf_:{
       Rbad_char_c0_cf* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_c0_cf(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_c0_cf*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs2_Rbad_char_c0_cf_:{
       Rbad_char_c0_cf* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_c0_cf(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_c0_cf*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs3_Rbad_char_c0_cf_:{
       Rbad_char_c0_cf* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_c0_cf(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_c0_cf*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs4_Rbad_char_c0_cf_:{
       Rbad_char_c0_cf* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_c0_cf(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_c0_cf*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs5_Rbad_char_c0_cf_:{
       Rbad_char_c0_cf* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_c0_cf(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_c0_cf*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs6_Rbad_char_c0_cf_:{
       Rbad_char_c0_cf* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_c0_cf(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_c0_cf*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs7_Rbad_char_c0_cf_:{
       Rbad_char_c0_cf* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_c0_cf(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_c0_cf*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs8_Rbad_char_c0_cf_:{
       Rbad_char_c0_cf* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_c0_cf(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_c0_cf*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs9_Rbad_char_c0_cf_:{
       Rbad_char_c0_cf* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_c0_cf(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_c0_cf*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs10_Rbad_char_c0_cf_:{
       Rbad_char_c0_cf* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_c0_cf(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_c0_cf*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs11_Rbad_char_c0_cf_:{
       Rbad_char_c0_cf* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_c0_cf(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_c0_cf*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs12_Rbad_char_c0_cf_:{
       Rbad_char_c0_cf* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_c0_cf(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_c0_cf*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs13_Rbad_char_c0_cf_:{
       Rbad_char_c0_cf* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_c0_cf(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_c0_cf*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs14_Rbad_char_c0_cf_:{
       Rbad_char_c0_cf* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_c0_cf(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_c0_cf*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs15_Rbad_char_c0_cf_:{
       Rbad_char_c0_cf* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_c0_cf(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_c0_cf*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs16_Rbad_char_c0_cf_:{
       Rbad_char_c0_cf* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_c0_cf(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_c0_cf*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs1_Rbad_char_d0_df_:{
       Rbad_char_d0_df* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_d0_df(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_d0_df*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs2_Rbad_char_d0_df_:{
       Rbad_char_d0_df* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_d0_df(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_d0_df*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs3_Rbad_char_d0_df_:{
       Rbad_char_d0_df* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_d0_df(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_d0_df*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs4_Rbad_char_d0_df_:{
       Rbad_char_d0_df* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_d0_df(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_d0_df*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs5_Rbad_char_d0_df_:{
       Rbad_char_d0_df* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_d0_df(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_d0_df*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs6_Rbad_char_d0_df_:{
       Rbad_char_d0_df* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_d0_df(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_d0_df*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs7_Rbad_char_d0_df_:{
       Rbad_char_d0_df* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_d0_df(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_d0_df*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs8_Rbad_char_d0_df_:{
       Rbad_char_d0_df* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_d0_df(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_d0_df*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs9_Rbad_char_d0_df_:{
       Rbad_char_d0_df* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_d0_df(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_d0_df*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs10_Rbad_char_d0_df_:{
       Rbad_char_d0_df* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_d0_df(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_d0_df*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs11_Rbad_char_d0_df_:{
       Rbad_char_d0_df* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_d0_df(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_d0_df*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs12_Rbad_char_d0_df_:{
       Rbad_char_d0_df* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_d0_df(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_d0_df*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs13_Rbad_char_d0_df_:{
       Rbad_char_d0_df* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_d0_df(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_d0_df*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs14_Rbad_char_d0_df_:{
       Rbad_char_d0_df* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_d0_df(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_d0_df*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs15_Rbad_char_d0_df_:{
       Rbad_char_d0_df* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_d0_df(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_d0_df*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs16_Rbad_char_d0_df_:{
       Rbad_char_d0_df* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_d0_df(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_d0_df*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs1_Rbad_char_e0_ef_:{
       Rbad_char_e0_ef* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_e0_ef(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_e0_ef*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs2_Rbad_char_e0_ef_:{
       Rbad_char_e0_ef* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_e0_ef(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_e0_ef*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs3_Rbad_char_e0_ef_:{
       Rbad_char_e0_ef* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_e0_ef(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_e0_ef*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs4_Rbad_char_e0_ef_:{
       Rbad_char_e0_ef* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_e0_ef(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_e0_ef*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs5_Rbad_char_e0_ef_:{
       Rbad_char_e0_ef* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_e0_ef(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_e0_ef*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs6_Rbad_char_e0_ef_:{
       Rbad_char_e0_ef* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_e0_ef(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_e0_ef*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs7_Rbad_char_e0_ef_:{
       Rbad_char_e0_ef* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_e0_ef(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_e0_ef*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs8_Rbad_char_e0_ef_:{
       Rbad_char_e0_ef* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_e0_ef(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_e0_ef*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs9_Rbad_char_e0_ef_:{
       Rbad_char_e0_ef* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_e0_ef(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_e0_ef*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs10_Rbad_char_e0_ef_:{
       Rbad_char_e0_ef* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_e0_ef(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_e0_ef*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs11_Rbad_char_e0_ef_:{
       Rbad_char_e0_ef* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_e0_ef(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_e0_ef*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs12_Rbad_char_e0_ef_:{
       Rbad_char_e0_ef* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_e0_ef(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_e0_ef*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs13_Rbad_char_e0_ef_:{
       Rbad_char_e0_ef* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_e0_ef(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_e0_ef*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs14_Rbad_char_e0_ef_:{
       Rbad_char_e0_ef* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_e0_ef(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_e0_ef*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs15_Rbad_char_e0_ef_:{
       Rbad_char_e0_ef* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_e0_ef(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_e0_ef*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs16_Rbad_char_e0_ef_:{
       Rbad_char_e0_ef* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_e0_ef(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_e0_ef*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs1_Rbad_char_f0_ff_:{
       Rbad_char_f0_ff* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_f0_ff(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_f0_ff*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs2_Rbad_char_f0_ff_:{
       Rbad_char_f0_ff* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_f0_ff(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_f0_ff*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs3_Rbad_char_f0_ff_:{
       Rbad_char_f0_ff* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_f0_ff(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_f0_ff*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs4_Rbad_char_f0_ff_:{
       Rbad_char_f0_ff* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_f0_ff(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_f0_ff*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs5_Rbad_char_f0_ff_:{
       Rbad_char_f0_ff* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_f0_ff(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_f0_ff*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs6_Rbad_char_f0_ff_:{
       Rbad_char_f0_ff* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_f0_ff(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_f0_ff*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs7_Rbad_char_f0_ff_:{
       Rbad_char_f0_ff* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_f0_ff(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_f0_ff*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs8_Rbad_char_f0_ff_:{
       Rbad_char_f0_ff* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_f0_ff(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_f0_ff*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs9_Rbad_char_f0_ff_:{
       Rbad_char_f0_ff* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_f0_ff(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_f0_ff*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs10_Rbad_char_f0_ff_:{
       Rbad_char_f0_ff* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_f0_ff(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_f0_ff*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs11_Rbad_char_f0_ff_:{
       Rbad_char_f0_ff* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_f0_ff(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_f0_ff*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs12_Rbad_char_f0_ff_:{
       Rbad_char_f0_ff* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_f0_ff(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_f0_ff*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs13_Rbad_char_f0_ff_:{
       Rbad_char_f0_ff* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_f0_ff(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_f0_ff*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs14_Rbad_char_f0_ff_:{
       Rbad_char_f0_ff* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_f0_ff(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_f0_ff*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs15_Rbad_char_f0_ff_:{
       Rbad_char_f0_ff* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_f0_ff(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_f0_ff*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs16_Rbad_char_f0_ff_:{
       Rbad_char_f0_ff* sym;
     if(re->rule_ == 0){
       sym = new Rbad_char_f0_ff(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rbad_char_f0_ff*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    default: return;
   }
}
